package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.entity.UserOrderRefund;
import com.yonge.cooleshow.biz.dal.enums.OrderTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-05-09 17:14:30
 */
@ApiModel(value = "UserOrderRefundVo对象", description = "退款申请表查询视图对象")
public class UserOrderRefundVo extends UserOrderRefund{
	private static final long serialVersionUID = 1L;

    @ApiModelProperty("订单名称 ")
    @TableField(value = "order_name_")
    private String orderName;

    @ApiModelProperty("订单类型: 学生端（ VIP、开通会员  PRACTICE、陪练课购买  LIVE、直播课购买 VIDEO、视频课购买 MUSIC、单曲点播 ACTI_REGIST、活动报名） 老师端（VIP、开通会员 PINAO_ROOM、琴房时长）")
    @TableField(value = "order_type_")
    private OrderTypeEnum orderType;

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public OrderTypeEnum getOrderType() {
        return orderType;
    }

    public void setOrderType(OrderTypeEnum orderType) {
        this.orderType = orderType;
    }
}